avt.h File Reference

No docs yet. More...

`#include <stdint.h>`
`#include <dc1394/types.h>`
`#include <dc1394/log.h>`

## Functions

dc1394error_t | dc1394_avt_get_version (dc1394camera_t *camera, uint32_t *UCType, uint32_t *Version, uint32_t *Camera_ID, uint32_t *FPGA_Version)
dc1394error_t | dc1394_avt_get_advanced_feature_inquiry (dc1394camera_t *camera, dc1394_avt_adv_feature_info_t *adv_feature)
dc1394error_t | dc1394_avt_print_advanced_feature (dc1394_avt_adv_feature_info_t *adv_feature)
dc1394error_t | dc1394_avt_get_shading (dc1394camera_t *camera, dc1394bool_t *on_off, dc1394bool_t *compute, dc1394bool_t *show, uint32_t *frame_nb)
dc1394error_t | dc1394_avt_set_shading (dc1394camera_t *camera, dc1394bool_t on_off, dc1394bool_t compute, dc1394bool_t show, uint32_t frame_nb)
dc1394error_t | dc1394_avt_get_shading_mem_ctrl (dc1394camera_t *camera, dc1394bool_t *en_write, dc1394bool_t *en_read, uint32_t *addroffset)
dc1394error_t | dc1394_avt_set_shading_mem_ctrl (dc1394camera_t *camera, dc1394bool_t en_write, dc1394bool_t en_read, uint32_t addroffset)
dc1394error_t | dc1394_avt_get_shading_info (dc1394camera_t *camera, uint32_t *MaxImageSize)
dc1394error_t | dc1394_avt_get_multiple_slope (dc1394camera_t *camera, dc1394bool_t *on_off, uint32_t *points_nb, uint32_t *kneepoint1, uint32_t *kneepoint2, uint32_t *kneepoint3)
dc1394error_t | dc1394_avt_set_multiple_slope (dc1394camera_t *camera, dc1394bool_t on_off, uint32_t points_nb, uint32_t kneepoint1, uint32_t kneepoint2, uint32_t kneepoint3)
dc1394error_t | dc1394_avt_get_timebase (dc1394camera_t *camera, uint32_t *timebase_id)
dc1394error_t | dc1394_avt_set_timebase (dc1394camera_t *camera, uint32_t timebase_id)
dc1394error_t | dc1394_avt_get_extented_shutter (dc1394camera_t *camera, uint32_t *timebase_id)
dc1394error_t | dc1394_avt_set_extented_shutter (dc1394camera_t *camera, uint32_t timebase_id)
dc1394error_t | dc1394_avt_get_MaxResolution (dc1394camera_t *camera, uint32_t *MaxHeight, uint32_t *MaxWidth)
dc1394error_t | dc1394_avt_get_auto_shutter (dc1394camera_t *camera, uint32_t *MinValue, uint32_t *MaxValue)
dc1394error_t | dc1394_avt_set_auto_shutter (dc1394camera_t *camera, uint32_t MinValue, uint32_t MaxValue)
dc1394error_t | dc1394_avt_get_auto_gain (dc1394camera_t *camera, uint32_t *MinValue, uint32_t *MaxValue)
dc1394error_t | dc1394_avt_set_auto_gain (dc1394camera_t *camera, uint32_t MinValue, uint32_t MaxValue)
dc1394error_t | dc1394_avt_get_trigger_delay (dc1394camera_t *camera, dc1394bool_t *on_off, uint32_t *DelayTime)
dc1394error_t | dc1394_avt_set_trigger_delay (dc1394camera_t *camera, dc1394bool_t on_off, uint32_t DelayTime)
dc1394error_t | dc1394_avt_get_mirror (dc1394camera_t *camera, dc1394bool_t *on_off)
dc1394error_t | dc1394_avt_set_mirror (dc1394camera_t *camera, dc1394bool_t on_off)
dc1394error_t | dc1394_avt_get_dsnu (dc1394camera_t *camera, dc1394bool_t *on_off, uint32_t *frame_nb)
dc1394error_t | dc1394_avt_set_dsnu (dc1394camera_t *camera, dc1394bool_t on_off, dc1394bool_t compute, uint32_t frame_nb)
dc1394error_t | dc1394_avt_get_blemish (dc1394camera_t *camera, dc1394bool_t *on_off, uint32_t *frame_nb)
dc1394error_t | dc1394_avt_set_blemish (dc1394camera_t *camera, dc1394bool_t on_off, dc1394bool_t compute, uint32_t frame_nb)
dc1394error_t | dc1394_avt_get_io (dc1394camera_t *camera, uint32_t IO, dc1394bool_t *polarity, uint32_t *mode, dc1394bool_t *pinstate)
dc1394error_t | dc1394_avt_set_io (dc1394camera_t *camera, uint32_t IO, dc1394bool_t polarity, uint32_t mode, dc1394bool_t pinstate)
dc1394error_t | dc1394_avt_reset (dc1394camera_t *camera)
dc1394error_t | dc1394_avt_get_lut (dc1394camera_t *camera, dc1394bool_t *on_off, uint32_t *lutnb)
dc1394error_t | dc1394_avt_set_lut (dc1394camera_t *camera, dc1394bool_t on_off, uint32_t lutnb)
dc1394error_t | dc1394_avt_get_lut_mem_ctrl (dc1394camera_t *camera, dc1394bool_t *en_write, uint32_t *AccessLutNo, uint32_t *addroffset)
dc1394error_t | dc1394_avt_set_lut_mem_ctrl (dc1394camera_t *camera, dc1394bool_t en_write, uint32_t AccessLutNo, uint32_t addroffset)
dc1394error_t | dc1394_avt_get_lut_info (dc1394camera_t *camera, uint32_t *NumOfLuts, uint32_t *MaxLutSize)
dc1394error_t | dc1394_avt_get_aoi (dc1394camera_t *camera, dc1394bool_t *on_off, int *left, int *top, int *width, int *height)
dc1394error_t | dc1394_avt_set_aoi (dc1394camera_t *camera, dc1394bool_t on_off, int left, int top, int width, int height)
dc1394error_t | dc1394_avt_get_test_images (dc1394camera_t *camera, uint32_t *image_no)
dc1394error_t | dc1394_avt_set_test_images (dc1394camera_t *camera, uint32_t image_no)
dc1394error_t | dc1394_avt_get_frame_info (dc1394camera_t *camera, uint32_t *framecounter)
dc1394error_t | dc1394_avt_reset_frame_info (dc1394camera_t *camera)
dc1394error_t | dc1394_avt_get_gpdata_info (dc1394camera_t *camera, uint32_t *BufferSize)
dc1394error_t | dc1394_avt_get_deferred_trans (dc1394camera_t *camera, dc1394bool_t *HoldImage, dc1394bool_t *FastCapture, uint32_t *FifoSize, uint32_t *NumOfImages)
dc1394error_t | dc1394_avt_set_deferred_trans (dc1394camera_t *camera, dc1394bool_t HoldImage, dc1394bool_t FastCapture, uint32_t FifoSize, uint32_t NumOfImages, dc1394bool_t SendImage)
dc1394error_t | dc1394_avt_read_gpdata (dc1394camera_t *camera, unsigned char *buf, uint32_t size)
dc1394error_t | dc1394_avt_write_gpdata (dc1394camera_t *camera, unsigned char *buf, uint32_t size)
dc1394error_t | dc1394_avt_read_shading_img (dc1394camera_t *camera, unsigned char *buf, uint32_t size)
dc1394error_t | dc1394_avt_write_shading_img (dc1394camera_t *camera, unsigned char *buf, uint32_t size)
dc1394error_t | dc1394_avt_get_channel_adjust (dc1394camera_t *camera, int16_t *channel_adjust)
dc1394error_t | dc1394_avt_set_channel_adjust (dc1394camera_t *camera, int16_t channel_adjust)
dc1394error_t | dc1394_avt_set_color_corr (dc1394camera_t *camera, dc1394bool_t on_off, dc1394bool_t reset, int32_t Crr, int32_t Cgr, int32_t Cbr, int32_t Crg, int32_t Cgg, int32_t Cbg, int32_t Crb, int32_t Cgb, int32_t Cbb)
dc1394error_t | dc1394_avt_get_color_corr (dc1394camera_t *camera, dc1394bool_t *on_off, int32_t *Crr, int32_t *Cgr, int32_t *Cbr, int32_t *Crg, int32_t *Cgg, int32_t *Cbg, int32_t *Crb, int32_t *Cgb, int32_t *Cbb)
dc1394error_t | dc1394_avt_get_hsnr (dc1394camera_t *camera, dc1394bool_t *on_off, uint32_t *grabCount)
dc1394error_t | dc1394_avt_set_hsnr (dc1394camera_t *camera, dc1394bool_t on_off, uint32_t grabCount)

## Detailed Description

No docs yet.

More details soon

## Function Documentation

## dc1394_avt_get_advanced_feature_inquiry()

dc1394error_t dc1394_avt_get_advanced_feature_inquiry | ( | dc1394camera_t * | camera,
|  | dc1394_avt_adv_feature_info_t * | adv_feature
| ) |  |

Retrieve the supported features

## dc1394_avt_get_aoi()

dc1394error_t dc1394_avt_get_aoi | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | on_off,
|  | int * | left,
|  | int * | top,
|  | int * | width,
|  | int * | height
| ) |  |

Get on/off and area

## dc1394_avt_get_auto_gain()

dc1394error_t dc1394_avt_get_auto_gain | ( | dc1394camera_t * | camera,
|  | uint32_t * | MinValue,
|  | uint32_t * | MaxValue
| ) |  |

Get min and max gain values for autogain

## dc1394_avt_get_auto_shutter()

dc1394error_t dc1394_avt_get_auto_shutter | ( | dc1394camera_t * | camera,
|  | uint32_t * | MinValue,
|  | uint32_t * | MaxValue
| ) |  |

Get min and max shutter values for autoshutter

## dc1394_avt_get_blemish()

dc1394error_t dc1394_avt_get_blemish | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | on_off,
|  | uint32_t * | frame_nb
| ) |  |

Get Blemish mode and num of frames used for computing the correction

## dc1394_avt_get_channel_adjust()

dc1394error_t dc1394_avt_get_channel_adjust | ( | dc1394camera_t * | camera,
|  | int16_t * | channel_adjust
| ) |  |

Read channel adjust (AVT Pike)

## dc1394_avt_get_color_corr()

dc1394error_t dc1394_avt_get_color_corr | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | on_off,
|  | int32_t * | Crr,
|  | int32_t * | Cgr,
|  | int32_t * | Cbr,
|  | int32_t * | Crg,
|  | int32_t * | Cgg,
|  | int32_t * | Cbg,
|  | int32_t * | Crb,
|  | int32_t * | Cgb,
|  | int32_t * | Cbb
| ) |  |

Get Color Correction + Coefficients

## dc1394_avt_get_deferred_trans()

dc1394error_t dc1394_avt_get_deferred_trans | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | HoldImage,
|  | dc1394bool_t * | FastCapture,
|  | uint32_t * | FifoSize,
|  | uint32_t * | NumOfImages
| ) |  |

Get the fifo control mode

## dc1394_avt_get_dsnu()

dc1394error_t dc1394_avt_get_dsnu | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | on_off,
|  | uint32_t * | frame_nb
| ) |  |

Get DSNU mode and num of frames used for computing dsnu correction

## dc1394_avt_get_extented_shutter()

dc1394error_t dc1394_avt_get_extented_shutter | ( | dc1394camera_t * | camera,
|  | uint32_t * | timebase_id
| ) |  |

Get the extented shutter value in us

## dc1394_avt_get_frame_info()

dc1394error_t dc1394_avt_get_frame_info | ( | dc1394camera_t * | camera,
|  | uint32_t * | framecounter
| ) |  |

Get the number of captured frames

## dc1394_avt_get_gpdata_info()

dc1394error_t dc1394_avt_get_gpdata_info | ( | dc1394camera_t * | camera,
|  | uint32_t * | BufferSize
| ) |  |

Get the size of the buffer

## dc1394_avt_get_hsnr()

dc1394error_t dc1394_avt_get_hsnr | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | on_off,
|  | uint32_t * | grabCount
| ) |  |

Get HSNR

## dc1394_avt_get_io()

dc1394error_t dc1394_avt_get_io | ( | dc1394camera_t * | camera,
|  | uint32_t | IO,
|  | dc1394bool_t * | polarity,
|  | uint32_t * | mode,
|  | dc1394bool_t * | pinstate
| ) |  |

Get the polarity, the mode, the state of the IO

## dc1394_avt_get_lut()

dc1394error_t dc1394_avt_get_lut | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | on_off,
|  | uint32_t * | lutnb
| ) |  |

Get on/off and the num of the current lut loaded

## dc1394_avt_get_lut_info()

dc1394error_t dc1394_avt_get_lut_info | ( | dc1394camera_t * | camera,
|  | uint32_t * | NumOfLuts,
|  | uint32_t * | MaxLutSize
| ) |  |

Get num of luts present and the max size

## dc1394_avt_get_lut_mem_ctrl()

dc1394error_t dc1394_avt_get_lut_mem_ctrl | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | en_write,
|  | uint32_t * | AccessLutNo,
|  | uint32_t * | addroffset
| ) |  |

Get access mode of a lut

## dc1394_avt_get_MaxResolution()

dc1394error_t dc1394_avt_get_MaxResolution | ( | dc1394camera_t * | camera,
|  | uint32_t * | MaxHeight,
|  | uint32_t * | MaxWidth
| ) |  |

Get the Max reachable resolution

## dc1394_avt_get_mirror()

dc1394error_t dc1394_avt_get_mirror | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | on_off
| ) |  |

Get mirror mode

## dc1394_avt_get_multiple_slope()

dc1394error_t dc1394_avt_get_multiple_slope | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | on_off,
|  | uint32_t * | points_nb,
|  | uint32_t * | kneepoint1,
|  | uint32_t * | kneepoint2,
|  | uint32_t * | kneepoint3
| ) |  |

Retrieve if on/off, the nb of kneepoints used and the kneepoints values

## dc1394_avt_get_shading()

dc1394error_t dc1394_avt_get_shading | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | on_off,
|  | dc1394bool_t * | compute,
|  | dc1394bool_t * | show,
|  | uint32_t * | frame_nb
| ) |  |

Retrieve if shading is on and the number of frames used to compute the shading reference frame

## dc1394_avt_get_shading_info()

dc1394error_t dc1394_avt_get_shading_info | ( | dc1394camera_t * | camera,
|  | uint32_t * | MaxImageSize
| ) |  |

Retrieve the max size of a shading image

## dc1394_avt_get_shading_mem_ctrl()

dc1394error_t dc1394_avt_get_shading_mem_ctrl | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | en_write,
|  | dc1394bool_t * | en_read,
|  | uint32_t * | addroffset
| ) |  |

Retrieve write and read access mode of the shading reference frame

## dc1394_avt_get_test_images()

dc1394error_t dc1394_avt_get_test_images | ( | dc1394camera_t * | camera,
|  | uint32_t * | image_no
| ) |  |

Get current test image

## dc1394_avt_get_timebase()

dc1394error_t dc1394_avt_get_timebase | ( | dc1394camera_t * | camera,
|  | uint32_t * | timebase_id
| ) |  |

Get the timebase value with an Id. See Manual for correspondance

## dc1394_avt_get_trigger_delay()

dc1394error_t dc1394_avt_get_trigger_delay | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | on_off,
|  | uint32_t * | DelayTime
| ) |  |

Get if trigger delay on and the trigger delay

## dc1394_avt_get_version()

dc1394error_t dc1394_avt_get_version | ( | dc1394camera_t * | camera,
|  | uint32_t * | UCType,
|  | uint32_t * | Version,
|  | uint32_t * | Camera_ID,
|  | uint32_t * | FPGA_Version
| ) |  |

Retrieve the firmware version, FPGA version and the camera ID

## dc1394_avt_print_advanced_feature()

dc1394error_t dc1394_avt_print_advanced_feature | ( | dc1394_avt_adv_feature_info_t * | adv_feature | ) |

Print the supported features requested

## dc1394_avt_read_gpdata()

dc1394error_t dc1394_avt_read_gpdata | ( | dc1394camera_t * | camera,
|  | unsigned char * | buf,
|  | uint32_t | size
| ) |  |

Read size number of bytes from GPData buffe

## dc1394_avt_read_shading_img()

dc1394error_t dc1394_avt_read_shading_img | ( | dc1394camera_t * | camera,
|  | unsigned char * | buf,
|  | uint32_t | size
| ) |  |

Read shading image from camera into buffer

## dc1394_avt_reset()

dc1394error_t dc1394_avt_reset | ( | dc1394camera_t * | camera | ) |

Reset the bus and the fpga

## dc1394_avt_reset_frame_info()

dc1394error_t dc1394_avt_reset_frame_info | ( | dc1394camera_t * | camera | ) |

Reset frame counter

## dc1394_avt_set_aoi()

dc1394error_t dc1394_avt_set_aoi | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | on_off,
|  | int | left,
|  | int | top,
|  | int | width,
|  | int | height
| ) |  |

Set on/off and area

## dc1394_avt_set_auto_gain()

dc1394error_t dc1394_avt_set_auto_gain | ( | dc1394camera_t * | camera,
|  | uint32_t | MinValue,
|  | uint32_t | MaxValue
| ) |  |

Set min and max gain values for autogain

## dc1394_avt_set_auto_shutter()

dc1394error_t dc1394_avt_set_auto_shutter | ( | dc1394camera_t * | camera,
|  | uint32_t | MinValue,
|  | uint32_t | MaxValue
| ) |  |

Set min and max shutter values for autoshutter

## dc1394_avt_set_blemish()

dc1394error_t dc1394_avt_set_blemish | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | on_off,
|  | dc1394bool_t | compute,
|  | uint32_t | frame_nb
| ) |  |

Set Blemish mode, num of frames used for computing and launch the the computation of the blemish correction

## dc1394_avt_set_channel_adjust()

dc1394error_t dc1394_avt_set_channel_adjust | ( | dc1394camera_t * | camera,
|  | int16_t | channel_adjust
| ) |  |

Write channel adjust (AVT Pike)

## dc1394_avt_set_color_corr()

dc1394error_t dc1394_avt_set_color_corr | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | on_off,
|  | dc1394bool_t | reset,
|  | int32_t | Crr,
|  | int32_t | Cgr,
|  | int32_t | Cbr,
|  | int32_t | Crg,
|  | int32_t | Cgg,
|  | int32_t | Cbg,
|  | int32_t | Crb,
|  | int32_t | Cgb,
|  | int32_t | Cbb
| ) |  |

Set Color Correction + Coefficients

## dc1394_avt_set_deferred_trans()

dc1394error_t dc1394_avt_set_deferred_trans | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | HoldImage,
|  | dc1394bool_t | FastCapture,
|  | uint32_t | FifoSize,
|  | uint32_t | NumOfImages,
|  | dc1394bool_t | SendImage
| ) |  |

Set the fifo control mode

## dc1394_avt_set_dsnu()

dc1394error_t dc1394_avt_set_dsnu | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | on_off,
|  | dc1394bool_t | compute,
|  | uint32_t | frame_nb
| ) |  |

Set DSNU mode, number of frames used for computing and launch the the computation of the dsnu frame

## dc1394_avt_set_extented_shutter()

dc1394error_t dc1394_avt_set_extented_shutter | ( | dc1394camera_t * | camera,
|  | uint32_t | timebase_id
| ) |  |

Set the extented shutter value in us

## dc1394_avt_set_hsnr()

dc1394error_t dc1394_avt_set_hsnr | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | on_off,
|  | uint32_t | grabCount
| ) |  |

Set HSNR

## dc1394_avt_set_io()

dc1394error_t dc1394_avt_set_io | ( | dc1394camera_t * | camera,
|  | uint32_t | IO,
|  | dc1394bool_t | polarity,
|  | uint32_t | mode,
|  | dc1394bool_t | pinstate
| ) |  |

Set the polarity, the mode and the state of the IO

## dc1394_avt_set_lut()

dc1394error_t dc1394_avt_set_lut | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | on_off,
|  | uint32_t | lutnb
| ) |  |

Set on/off and the num of the current lut to loa

## dc1394_avt_set_lut_mem_ctrl()

dc1394error_t dc1394_avt_set_lut_mem_ctrl | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | en_write,
|  | uint32_t | AccessLutNo,
|  | uint32_t | addroffset
| ) |  |

Set access mode of a lut

## dc1394_avt_set_mirror()

dc1394error_t dc1394_avt_set_mirror | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | on_off
| ) |  |

Set mirror mode

## dc1394_avt_set_multiple_slope()

dc1394error_t dc1394_avt_set_multiple_slope | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | on_off,
|  | uint32_t | points_nb,
|  | uint32_t | kneepoint1,
|  | uint32_t | kneepoint2,
|  | uint32_t | kneepoint3
| ) |  |

Set on/off, the nb of kneepoints to use and the kneepoints values

## dc1394_avt_set_shading()

dc1394error_t dc1394_avt_set_shading | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | on_off,
|  | dc1394bool_t | compute,
|  | dc1394bool_t | show,
|  | uint32_t | frame_nb
| ) |  |

Set the shading to on/off and the number of frames used to compute the shading reference frame

## dc1394_avt_set_shading_mem_ctrl()

dc1394error_t dc1394_avt_set_shading_mem_ctrl | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | en_write,
|  | dc1394bool_t | en_read,
|  | uint32_t | addroffset
| ) |  |

Set write and read access mode of the shading reference frame

## dc1394_avt_set_test_images()

dc1394error_t dc1394_avt_set_test_images | ( | dc1394camera_t * | camera,
|  | uint32_t | image_no
| ) |  |

Set num of test image

## dc1394_avt_set_timebase()

dc1394error_t dc1394_avt_set_timebase | ( | dc1394camera_t * | camera,
|  | uint32_t | timebase_id
| ) |  |

Set the timebase value with an Id. See Manual for correspondance

## dc1394_avt_set_trigger_delay()

dc1394error_t dc1394_avt_set_trigger_delay | ( | dc1394camera_t * | camera,
|  | dc1394bool_t | on_off,
|  | uint32_t | DelayTime
| ) |  |

Set trigger delay on/off and the trigger delay value

## dc1394_avt_write_gpdata()

dc1394error_t dc1394_avt_write_gpdata | ( | dc1394camera_t * | camera,
|  | unsigned char * | buf,
|  | uint32_t | size
| ) |  |

Write size number of bytes to GPData buffer

## dc1394_avt_write_shading_img()

dc1394error_t dc1394_avt_write_shading_img | ( | dc1394camera_t * | camera,
|  | unsigned char * | buf,
|  | uint32_t | size
| ) |  |

Write shading image from buffer to camera